# DARestoreLocalVector

Returns a Seq PETSc vector that obtained from DAGetLocalVector(). Do not use with vector obtained via DACreateLocalVector().

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DARestoreLocalVector(DA da,Vec* g)

Not Collective

### Input Parameter

| da | - the distributed array
| g | - the local vector

### Keywords

distributed array, create, local, vector

### See Also

DACreateGlobalVector(), VecDuplicate(), VecDuplicateVecs(),
DACreate1d(), DACreate2d(), DACreate3d(), DAGlobalToLocalBegin(), DAGlobalToLocalEnd(), DALocalToGlobal(), DACreateLocalVector(), DAGetLocalVector()

Level:beginner
Location: src/dm/da/src/dalocal.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex3.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex18.c.html
src/snes/examples/tutorials/ex20.c.html
src/snes/examples/tutorials/ex23.c.html
src/snes/examples/tutorials/ex25.c.html
src/snes/examples/tutorials/ex26.c.html
src/snes/examples/tutorials/ex29.c.html
src/snes/examples/tutorials/ex5f.F.html
src/snes/examples/tutorials/ex5f90.F.html